package pl.afizyka.uruchomienieinnejaplikacji

import android.content.Intent
import android.net.Uri
import android.os.Bundle
import android.provider.AlarmClock
import android.widget.Button
import androidx.appcompat.app.AppCompatActivity

class MainActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        val bt1=findViewById<Button>(R.id.button1)
        bt1.setOnClickListener {
            val intencja=Intent(AlarmClock.ACTION_SET_ALARM)
            intencja.putExtra(AlarmClock.EXTRA_MESSAGE,"PRZYPOMNIENIE: Wizyta u lekarza")
            intencja.putExtra(AlarmClock.EXTRA_HOUR,11)
            intencja.putExtra(AlarmClock.EXTRA_MINUTES,15)
            startActivity(intencja)
        }
        val bt2=findViewById<Button>(R.id.button2)
        bt2.setOnClickListener {
            val intencja=Intent(AlarmClock.ACTION_SET_TIMER)
            intencja.putExtra(AlarmClock.EXTRA_MESSAGE,"Odliczanie")
            intencja.putExtra(AlarmClock.EXTRA_LENGTH,60)
            intencja.putExtra(AlarmClock.EXTRA_SKIP_UI,false)
            startActivity(intencja)
        }
        val bt3=findViewById<Button>(R.id.button3)
        bt3.setOnClickListener {
            val celMapaGoogle= Uri.parse("geo:50.0135833,20.9174879")
            val intencja=Intent(Intent.ACTION_VIEW, celMapaGoogle)
            intencja.setPackage("com.google.android.apps.maps")
            startActivity(intencja)
        }
        val bt4=findViewById<Button>(R.id.button4)
        bt4.setOnClickListener {
            val celMapaGoogle= Uri.parse("google.navigation:q=Wawel,+Kraków+Polska")
            val intencja=Intent(Intent.ACTION_VIEW, celMapaGoogle)
            intencja.setPackage("com.google.android.apps.maps")
            startActivity(intencja)
        }
        val bt5=findViewById<Button>(R.id.button5)
        bt5.setOnClickListener {
            val celMapaGoogle= Uri.parse("google.streetview:cbll=50.0135833,20.9174879&cbp=0,10,0,10,5")
            val intencja=Intent(Intent.ACTION_VIEW, celMapaGoogle)
            intencja.setPackage("com.google.android.apps.maps")
            startActivity(intencja)
        }
    }
}